<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [puppeteer](./puppeteer.md) &gt; [Touchscreen](./puppeteer.touchscreen.md)

## Touchscreen class

The Touchscreen class exposes touchscreen events.

<b>Signature:</b>

```typescript
export declare class Touchscreen 
```

## Remarks

The constructor for this class is marked as internal. Third-party code should not call the constructor directly or create subclasses that extend the `Touchscreen` class.

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [\_client](./puppeteer.touchscreen._client.md) |  | [CDPSession](./puppeteer.cdpsession.md) |  |
|  [\_keyboard](./puppeteer.touchscreen._keyboard.md) |  | [Keyboard](./puppeteer.keyboard.md) |  |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [tap(x, y)](./puppeteer.touchscreen.tap.md) |  | Dispatches a <code>touchstart</code> and <code>touchend</code> event. |

